Symantec Messaging Gateway 10.x < 10.6.2 Multiple Vulnerabilities (SYM16-015) (SYM16-016)

Medium Nessus Plugin ID 93653

Synopsis

A messaging security application running on the remote host is affected by multiple vulnerabilities.

Description

According to its self-reported version number, the Symantec Messaging Gateway (SMG) running on the remote host is 10.x prior to 10.6.2. It is, therefore, affected by multiple vulnerabilities :

- A denial of service vulnerability exists in the decomposer engine due to an out-of-bounds read error that occurs when decompressing RAR archives. An unauthenticated, remote attacker can exploit this, via a specially crafted RAR file, to crash the application.
(CVE-2016-5309)

- A denial of service vulnerability exists in the decomposer engine due to memory corruption issue that occurs when decompressing RAR archives. An unauthenticated, remote attacker can exploit this, via a specially crafted RAR file, to crash the application.
(CVE-2016-5310)

- An information disclosure vulnerability exists in the charting component in the control center due to improper sanitization of user-supplied input submitted for charting requests. An authenticated, remote attacker can exploit this, via a directory traversal attack, to disclose arbitrary files or directory contents.
(CVE-2016-5312)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Symantec Messaging Gateway (SMG) version 10.6.2 or later.

See Also

http://www.nessus.org/u?0df20c4e

http://www.nessus.org/u?1d959567

Plugin Details

Severity: Medium

ID: 93653

File Name: symantec_messaging_gateway_sym16-015.nasl

Version: 1.13

Type: remote

Family: CGI abuses

Published: 2016/09/22

Updated: 2019/11/14

Dependencies: 62009

Risk Information

Risk Factor: Medium

CVSS Score Source: CVE-2016-5312

CVSS v2.0

Base Score: 4

Temporal Score: 3.3

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:N/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSS v3.0

Base Score: 6.5

Temporal Score: 6

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:symantec:messaging_gateway

Required KB Items: www/sym_msg_gateway

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2016/09/19

Vulnerability Publication Date: 2016/09/19

Exploitable With

Elliot (Symantec Messaging Gateway 10.6.1 File Disclosure)

Reference Information

CVE: CVE-2016-5309, CVE-2016-5310, CVE-2016-5312

BID: 92866, 92868, 93148